Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iplan
Class OptionUI

    java.lang.Object
      ix.iplan.OptionUI

All Implemented Interfaces:
  OptionListener, java.awt.event.ActionListener, java.util.EventListener

    public class OptionUI

extends java.lang.Object
implements java.awt.event.ActionListener, OptionListener

Field Summary
`(package private) javax.swing.JMenu` | `clearOptionMenu`
`(package private) javax.swing.JMenuItem` | `copyOptionItem`
`(package private) javax.swing.JMenuItem` | `deleteOptionItem`
`(package private) javax.swing.JMenu` | `deleteOptionMenu`
`(package private) javax.swing.JFileChooser` | `directoryChooser`
`(package private) javax.swing.JFrame` | `frame`
`(package private) javax.swing.JMenu` | `optionMenu`
`(package private) IPlanOptionManager` | `optMan`
`(package private) javax.swing.JMenuItem` | `renameOptionItem`
`(package private) java.util.List` | `savedSyncSelection`
`(package private) javax.swing.JMenu` | `selectOptionMenu`
`(package private) javax.swing.JMenuItem` | `splitOptionItem`

Constructor Summary
`OptionUI(IPlanOptionManager m, javax.swing.JFrame frame)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`java.lang.String` | `askUserToSelectOption(java.lang.String message, java.lang.String initialSelection)`
`(package private) void` | `constructOptionMenu()`
`(package private) void` | `deleteSelectedOptions()`
`(package private) void` | `editOptionForInput()`
`(package private) void` | `editPreferences()`
`(package private) java.util.Set` | `fileNameSet(java.io.File[] files)`
`(package private) void` | `frameShowOptionName(java.lang.String name)`
`javax.swing.JMenu` | `getOptionMenu()`
`(package private) void` | `loadOptions()`
`(package private) javax.swing.JFileChooser` | `makeDirectoryChooser()`
`(package private) void` | `menuShowSplitDirection(OptionEvent e)`
`(package private) void` | `noticeCurrentOptionName(OptionEvent e)`
`void` | `optionAdded(OptionEvent e)`
`void` | `optionContentsChanged(OptionEvent e, java.util.EventObject how)`
`void` | `optionDeleted(OptionEvent e)`
`void` | `optionRenamed(OptionEvent e, java.lang.String oldName)`
`void` | `optionSet(OptionEvent e)`
`(package private) void` | `populateSelectOptionMenu()`
`(package private) void` | `saveOptions()`
`(package private) void` | `saveOptions(java.io.File directory)`
`(package private) void` | `syncSelectedOptions()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### optMan

    IPlanOptionManager optMan

### frame

    javax.swing.JFrame frame

### optionMenu

    javax.swing.JMenu optionMenu

### selectOptionMenu

    javax.swing.JMenu selectOptionMenu

### clearOptionMenu

    javax.swing.JMenu clearOptionMenu

### deleteOptionMenu

    javax.swing.JMenu deleteOptionMenu

### copyOptionItem

    javax.swing.JMenuItem copyOptionItem

### splitOptionItem

    javax.swing.JMenuItem splitOptionItem

### renameOptionItem

    javax.swing.JMenuItem renameOptionItem

### deleteOptionItem

    javax.swing.JMenuItem deleteOptionItem

### directoryChooser

    javax.swing.JFileChooser directoryChooser

### savedSyncSelection

    java.util.List savedSyncSelection

Constructor Detail

### OptionUI

    public OptionUI(IPlanOptionManager m,
                    javax.swing.JFrame frame)

Method Detail

### getOptionMenu

    public javax.swing.JMenu getOptionMenu()

### constructOptionMenu

    void constructOptionMenu()

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### optionAdded

    public void optionAdded(OptionEvent e)

  Specified by:
    `optionAdded` in interface `OptionListener`

### optionSet

    public void optionSet(OptionEvent e)

  Specified by:
    `optionSet` in interface `OptionListener`

### optionRenamed

    public void optionRenamed(OptionEvent e,
                              java.lang.String oldName)

  Specified by:
    `optionRenamed` in interface `OptionListener`

### optionContentsChanged

    public void optionContentsChanged(OptionEvent e,
                                      java.util.EventObject how)

  Specified by:
    `optionContentsChanged` in interface `OptionListener`

### optionDeleted

    public void optionDeleted(OptionEvent e)

  Specified by:
    `optionDeleted` in interface `OptionListener`

### populateSelectOptionMenu

    void populateSelectOptionMenu()

### noticeCurrentOptionName

    void noticeCurrentOptionName(OptionEvent e)

### menuShowSplitDirection

    void menuShowSplitDirection(OptionEvent e)

### frameShowOptionName

    void frameShowOptionName(java.lang.String name)

### deleteSelectedOptions

    void deleteSelectedOptions()

### syncSelectedOptions

    void syncSelectedOptions()

### editPreferences

    void editPreferences()

### editOptionForInput

    void editOptionForInput()

### askUserToSelectOption

    public java.lang.String askUserToSelectOption(java.lang.String message,
                                                  java.lang.String initialSelection)

### loadOptions

    void loadOptions()

### makeDirectoryChooser

    javax.swing.JFileChooser makeDirectoryChooser()

### saveOptions

    void saveOptions()

### saveOptions

    void saveOptions(java.io.File directory)

### fileNameSet

    java.util.Set fileNameSet(java.io.File[] files)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD